﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HeuristicLab.Algorithms.Bandits {
  public class EmptyPolicyActionInfo : IPolicyActionInfo {
    public bool Disabled { get; private set; }
    public void UpdateReward(double reward) {
      Debug.Assert(!Disabled);
    }
    public void Disable() { this.Disabled = true; }
    public void Reset() { this.Disabled = false; }
    public void PrintStats() { Console.WriteLine("disabled {0}", Disabled); }
  }
}
