﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HeuristicLab.Algorithms.Bandits {
  // this interface represents a policy for reinforcement learning
  public interface IPolicy {
    int SelectAction(Random random, IEnumerable<IPolicyActionInfo> actionInfos);
    IPolicyActionInfo CreateActionInfo();
  }
}
