﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HeuristicLab.Algorithms.Bandits {
  public interface IPolicyActionInfo {
    bool Disabled { get; }
    void UpdateReward(double reward);
    void Disable();
    // reset causes the state of the action to be reinitialized (as after constructor-call)
    void Reset();
    void PrintStats();
  }
}
